Subject: Re: bug#21132: 25.0.50; Emacs on Windows crashes evaluating x-frame-geometry in batch mode

From: martin rudalics <[email-masked]>
Date: Mon, 27 Jul 2015 18:02:38 +0200

>>   >> And do we prefer (FRAME_W32_WINDOW (f) != 0) to (!FRAME_W32_WINDOW (f))?
 >>   >
 >>   > We prefer !FRAME_W32_P (f)
 >>
 >> x_set_foreground_color, x_set_background_color and x_set_mouse_color use
 >>
 >> if (FRAME_W32_WINDOW (f) != 0)
 >>
 >> Should these be changed?
 >
 > No, I don't think so, because these are handlers for w32 frame
 > parameters, and I see no way they could be called from Lisp, except in
 > that context.  Am I missing something?

No.  I asked because of your preference stated above.  Although in all
the cases I cited we probably just care about whether the frame exists
at all.  Yet I would feel better with a more stringent predicate that
would combine say, FRAME_W32_WINDOW and FRAME_W32_P.

martin